GNU Robbo, egy aranyos Atari játék átirat.

Dos, nes, snes, játékgépek, callus, amiga, emulátorok, retro gépek
NTamas
Hozzászólások: 1453
Csatlakozott: 2014.06.19. 13:36

GNU Robbo, egy aranyos Atari játék átirat.

Hozzászólás Szerző: NTamas » 2018.07.29. 11:04

GNU Robbo

Ez egy aranyos kis logikai játék, annó régen az Atari XE/XL gépekre lett megírva Janusz Pelc's által.
A játékban egy kis robotnak kell segítséget nyújtanunk, hogy a különböző kapuk nyitásával megmeneküljön a szorul/bezárt helyzetéből.

A játék rengeteg változatban és rendszerre portolva érhető el, ami számunkra érdekes lehet az a Windowsos és a Linuxos átirat, ezeket ezen a weboldalon érhetjük, tölthetjük le.
http://gnurobbo.sourceforge.net/
Itt van megadva a játék alap függőség igénye is:

Requirements:

libSDL (->)
libSDL_mixer (->)
libSDL_image (->)
Optional: libSDL_ttf (->)

Persze ezeből a függőségekből minden Linux/puppy rendszerre a megfelelő verziószámú fájlokat kell leszedni, pl. egy Debian (jessie) rendszerhez innen lehet leszedni a szükséges dolgokat:
https://packages.debian.org/jessie/gnurobbo

A klf. puppy verziókhoz meg innen:
https://launchpad.net/ubuntu/+source/gnurobbo
Jól látható, hogy még az öreg Precise puppy alá is elérhető a játék, az egyes puppy verziókhoz tartozó oldalakról a kellő függőségek is beszerezhetőek.
Precise puppykhoz pl. innen lehet leszedni a kellő fájloat:
https://launchpad.net/ubuntu/precise/i3 ... .66+dfsg-2

Én az ubuntu trusty-s oldalról szedtem le a tahrpuppy-6.0.6-hoz a kellő dolgokat, innen:
https://launchpad.net/ubuntu/trusty/i38 ... .66+dfsg-3
Kép
A képen is látható, alul, balodalt felsorolt függőségekből már egy-kettő a gépen volt, viszont nekem még egy, az oldalon nem jelzett függőséget is le kellett, hogy szedjek, ez volt a libmikmod2 függőségi fájl.
Noha a játék deb fájljában lévő controll fájlban csak ez van,

Package: gnurobbo
Version: 0.66+dfsg-3
Architecture: i386
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Installed-Size: 2367
Depends: libc6 (>= 2.4), libsdl-image1.2 (>= 1.2.10), libsdl-mixer1.2, libsdl-ttf2.0-0, libsdl1.2debian (>= 1.2.11), ttf-dejavu-extra
Section: games
Priority: optional
Homepage: http://gnurobbo.sourceforge.net/
Description: logic game ported from ATARI XE/XL
GNU Robbo is very addictive logic game. You must help a little robot to
get out of an unfriendly planet, collecting parts of an emergency capsule.
.
Originally written for Atari XE/XL by Janusz Pelc from "LK. Avalon".

ennek ellenére a listdd programmal megnézve a játék bináris fájlját, kijelezte nekem ezeken felül még a libmikmod2 függőség hiányát, ami az előbb belinkelt launchpad-os weboldalról beszerezhető volt.(a függőség függősége eset állt fenn) De innen is beszerezhető: https://packages.ubuntu.com/trusty/libmikmod2

A puppy tahr-hoz kellő függőségek és a játék deb fájljának telepítése után a játék szépen elindult nálam.
Kép
Kép

Válasz küldése

Vissza: “Retró Varázs”